다음을 통해 공유


Defender For AI Settings - List

Defender for AI 설정을 나열합니다.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.CognitiveServices/accounts/{accountName}/defenderForAISettings?api-version=2025-06-01

URI 매개 변수

Name In(다음 안에) 필수 형식 Description
accountName
path True

string

minLength: 2
maxLength: 64
pattern: ^[a-zA-Z0-9][a-zA-Z0-9_.-]*$

Cognitive Services 계정의 이름입니다.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

리소스 그룹의 이름입니다. 이름은 대소문자를 구분하지 않습니다.

subscriptionId
path True

string

minLength: 1

대상 구독의 ID입니다.

api-version
query True

string

minLength: 1

이 작업에 사용할 API 버전입니다.

응답

Name 형식 Description
200 OK

DefenderForAISettingResult

확인 -- 방어 설정 이름을 성공적으로 나열합니다.

Other Status Codes

ErrorResponse

작업이 실패한 이유를 설명하는 오류 응답입니다.

예제

ListDefenderForAISetting

샘플 요청

GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/resourceGroupName/providers/Microsoft.CognitiveServices/accounts/accountName/defenderForAISettings?api-version=2025-06-01

샘플 응답

{
  "value": [
    {
      "name": "Default",
      "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/resourceGroupName/providers/Microsoft.CognitiveServices/accounts/accountName/defenderForAISettings/Default",
      "type": "Microsoft.CognitiveServices/accounts/defenderForAISettings",
      "properties": {
        "state": "Enabled"
      },
      "systemData": {
        "createdBy": "xxx@microsoft.com",
        "createdByType": "User",
        "createdAt": "2022-04-03T04:41:33.937Z",
        "lastModifiedBy": "xxx@microsoft.com",
        "lastModifiedByType": "User",
        "lastModifiedAt": "2022-04-03T04:41:33.937Z"
      },
      "etag": "\"00000000-0000-0000-0000-000000000000\""
    }
  ]
}

정의

Name Description
createdByType

리소스를 만든 ID 유형입니다.

DefenderForAISetting

Defender for AI 리소스입니다.

DefenderForAISettingResult

Cognitive Services Defender for AI 설정 목록입니다.

DefenderForAISettingState

AI 리소스에 대한 Defender for AI 상태입니다.

ErrorAdditionalInfo

리소스 관리 오류 추가 정보입니다.

ErrorDetail

오류 세부 정보입니다.

ErrorResponse

오류 응답

systemData

리소스의 생성 및 마지막 수정과 관련된 메타데이터입니다.

createdByType

리소스를 만든 ID 유형입니다.

Description
User
Application
ManagedIdentity
Key

DefenderForAISetting

Defender for AI 리소스입니다.

Name 형식 Description
etag

string

리소스 Etag.

id

string

리소스에 대한 정규화된 리소스 ID입니다. 예 - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}

name

string

리소스의 이름

properties.state

DefenderForAISettingState

AI 리소스에 대한 Defender for AI 상태입니다.

systemData

systemData

리소스의 생성 및 마지막 수정과 관련된 메타데이터입니다.

tags

object

리소스 태그.

type

string

리소스의 형식입니다. 예: "Microsoft.Compute/virtualMachines" 또는 "Microsoft.Storage/storageAccounts"

DefenderForAISettingResult

Cognitive Services Defender for AI 설정 목록입니다.

Name 형식 Description
nextLink

string

Defender for AI 설정의 다음 페이지를 가져오는 데 사용되는 링크입니다.

value

DefenderForAISetting[]

Defender for AI 설정 목록입니다.

DefenderForAISettingState

AI 리소스에 대한 Defender for AI 상태입니다.

Description
Disabled
Enabled

ErrorAdditionalInfo

리소스 관리 오류 추가 정보입니다.

Name 형식 Description
info

object

추가 정보입니다.

type

string

추가 정보 유형입니다.

ErrorDetail

오류 세부 정보입니다.

Name 형식 Description
additionalInfo

ErrorAdditionalInfo[]

오류 추가 정보입니다.

code

string

오류 코드입니다.

details

ErrorDetail[]

오류 세부 정보입니다.

message

string

오류 메시지입니다.

target

string

오류 대상입니다.

ErrorResponse

오류 응답

Name 형식 Description
error

ErrorDetail

오류 개체입니다.

systemData

리소스의 생성 및 마지막 수정과 관련된 메타데이터입니다.

Name 형식 Description
createdAt

string (date-time)

리소스 생성 타임스탬프(UTC)입니다.

createdBy

string

리소스를 만든 ID입니다.

createdByType

createdByType

리소스를 만든 ID 유형입니다.

lastModifiedAt

string (date-time)

리소스 마지막 수정의 타임스탬프(UTC)

lastModifiedBy

string

리소스를 마지막으로 수정한 ID입니다.

lastModifiedByType

createdByType

리소스를 마지막으로 수정한 ID 유형입니다.